DOM::HTMLIFrameElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLIFrameElement Class Reference

Inline subwindows. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLIFrameElement:

[legend]
Collaboration diagram for DOM::HTMLIFrameElement:

[legend]
List of all members.

## Public Member Functions
| HTMLIFrameElement (const HTMLIFrameElement &other)
| HTMLIFrameElement (const Node &other)
HTMLIFrameElement & | operator= (const HTMLIFrameElement &other)
HTMLIFrameElement & | operator= (const Node &other)
DOMString | align () const
| Aligns this object (vertically or horizontally) with respect to its surrounding text.
void | setAlign (const DOMString &)
| see align
DOMString | frameBorder () const
| Request frame borders.
void | setFrameBorder (const DOMString &)
| see frameBorder
DOMString | height () const
| Frame height.
void | setHeight (const DOMString &)
| see height
DOMString | longDesc () const
| URI designating a long description of this image or frame.
void | setLongDesc (const DOMString &)
| see longDesc
DOMString | marginHeight () const
| Frame margin height, in pixels.
void | setMarginHeight (const DOMString &)
| see marginHeight
DOMString | marginWidth () const
| Frame margin width, in pixels.
void | setMarginWidth (const DOMString &)
| see marginWidth
DOMString | name () const
| The frame name (object of the `target` attribute).
void | setName (const DOMString &)
| see name
DOMString | scrolling () const
| Specify whether or not the frame should have scrollbars.
void | setScrolling (const DOMString &)
| see scrolling
DOMString | src () const
| A URI designating the initial frame contents.
void | setSrc (const DOMString &)
| see src
DOMString | width () const
| Frame width.
void | setWidth (const DOMString &)
| see width
Document | contentDocument () const
| Introduced in DOM Level 2.
## Protected Member Functions
| HTMLIFrameElement (HTMLIFrameElementImpl *impl)

## Detailed Description

Inline subwindows.

See the IFRAME element definition in HTML 4.0.

Definition at line 361 of file html_base.h.

## Member Function Documentation

DOMString HTMLIFrameElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 282 of file html_base.cpp.

void HTMLIFrameElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 288 of file html_base.cpp.

DOMString HTMLIFrameElement::frameBorder | ( |  | ) | const

| Request frame borders. See the frameborder attribute definition in HTML 4.0. Definition at line 293 of file html_base.cpp.

void HTMLIFrameElement::setFrameBorder | ( | const DOMString & |  | ) |

| see frameBorder Definition at line 299 of file html_base.cpp.

DOMString HTMLIFrameElement::height | ( |  | ) | const

| Frame height. See the height attribute definition in HTML 4.0. Definition at line 304 of file html_base.cpp.

void HTMLIFrameElement::setHeight | ( | const DOMString & |  | ) |

| see height Definition at line 310 of file html_base.cpp.

DOMString HTMLIFrameElement::longDesc | ( |  | ) | const

| URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0. Definition at line 315 of file html_base.cpp.

void HTMLIFrameElement::setLongDesc | ( | const DOMString & |  | ) |

| see longDesc Definition at line 321 of file html_base.cpp.

DOMString HTMLIFrameElement::marginHeight | ( |  | ) | const

| Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0. Definition at line 326 of file html_base.cpp.

void HTMLIFrameElement::setMarginHeight | ( | const DOMString & |  | ) |

| see marginHeight Definition at line 332 of file html_base.cpp.

DOMString HTMLIFrameElement::marginWidth | ( |  | ) | const

| Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0. Definition at line 337 of file html_base.cpp.

void HTMLIFrameElement::setMarginWidth | ( | const DOMString & |  | ) |

| see marginWidth Definition at line 343 of file html_base.cpp.

DOMString HTMLIFrameElement::name | ( |  | ) | const

| The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0. Definition at line 348 of file html_base.cpp.

void HTMLIFrameElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 354 of file html_base.cpp.

DOMString HTMLIFrameElement::scrolling | ( |  | ) | const

| Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0. Definition at line 359 of file html_base.cpp.

void HTMLIFrameElement::setScrolling | ( | const DOMString & |  | ) |

| see scrolling Definition at line 365 of file html_base.cpp.

DOMString HTMLIFrameElement::src | ( |  | ) | const

| A URI designating the initial frame contents. See the src attribute definition in HTML 4.0. Definition at line 370 of file html_base.cpp.

void HTMLIFrameElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 376 of file html_base.cpp.

DOMString HTMLIFrameElement::width | ( |  | ) | const

| Frame width. See the width attribute definition in HTML 4.0. Definition at line 381 of file html_base.cpp.

void HTMLIFrameElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 387 of file html_base.cpp.

Document HTMLIFrameElement::contentDocument | ( |  | ) | const

| Introduced in DOM Level 2. Returns the document this iframe contains, if there is any and it is available, a Null document otherwise. The attribute is read-only. Returns: The content Document if available. Definition at line 392 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:06 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001